Bug 1571287 - Review Request: python-lightblue - A Python library to work with Lightblue database API
Summary: Review Request: python-lightblue - A Python library to work with Lightblue da...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomír Sedlář
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 12:57 UTC by Stanislav Ochotnicky
Modified: 2018-05-12 20:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-12 18:19:13 UTC
Type: ---
lsedlar: fedora-review+


Attachments (Terms of Use)

Description Stanislav Ochotnicky 2018-04-24 12:57:08 UTC
Spec URL: http://sochotni.fedorapeople.org/packages/python-lightblue.spec
SRPM URL: http://sochotni.fedorapeople.org/packages/python-lightblue-0.1.3-1.fc27.src.rpm

Description: 
A Python library to work with Lightblue database API. More lightblue information
can be found at https://lightblue.io

Fedora Account System Username: sochotni

Comment 1 Lubomír Sedlář 2018-04-24 13:45:56 UTC
Why the conditional for Python 3 subpackage? Where do you want to build it without that?

The macros in Summary are wrong, the subpackages end up with this:
$ rpm -qp --queryformat '%{Summary}\n' results/python2-lightblue-0.1.3-1.fc26.noarch.rpm 
%{Summary}
Also rpmlint complains about this unexpanded macro.

You should ask upstream to include LICENCE file in the tarball so that it can be installed.

You might want to use %{srcname} in Name, but that's a detail.

Comment 2 Stanislav Ochotnicky 2018-04-24 15:04:02 UTC
(In reply to Lubomír Sedlář from comment #1)
> Why the conditional for Python 3 subpackage? Where do you want to build it
> without that?

EPEL 7
 
> The macros in Summary are wrong, the subpackages end up with this:
> $ rpm -qp --queryformat '%{Summary}\n'
> results/python2-lightblue-0.1.3-1.fc26.noarch.rpm 
> %{Summary}
> Also rpmlint complains about this unexpanded macro.

Right, will fix

> You should ask upstream to include LICENCE file in the tarball so that it
> can be installed.

Already done and merged: https://github.com/Allda/python-lightblue/pull/5
But won't be done until next release
 
> You might want to use %{srcname} in Name, but that's a detail.

Yeah, I should.

Will fix the summary part for now

Comment 3 Lubomír Sedlář 2018-04-25 06:38:52 UTC
===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[X]: License field in the package spec file matches the actual license.
[X]: License file installed when any subpackage combination is installed.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[X]: Package contains desktop file if it is a GUI application.
[X]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[X]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[X]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[X]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Fully versioned dependency in subpackages if applicable.
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[X]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.


Notes
-----

Approved.

Adding the licence in next release should be fine.

If you decide to add Python 3 subpackage for EPEL (which I believe is not mandatory), have a look at python3_pkgversion macro.

Comment 4 Gwyn Ciesla 2018-04-25 17:04:28 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-lightblue

Comment 5 Fedora Update System 2018-04-26 07:14:40 UTC
python-lightblue-0.1.3-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-63d3d03dd4

Comment 6 Fedora Update System 2018-04-26 07:14:48 UTC
python-lightblue-0.1.3-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5387dbbbe9

Comment 7 Fedora Update System 2018-04-26 07:14:54 UTC
python-lightblue-0.1.3-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a663cbce93

Comment 8 Fedora Update System 2018-04-26 15:33:20 UTC
python-lightblue-0.1.3-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-63d3d03dd4

Comment 9 Fedora Update System 2018-04-27 05:09:16 UTC
python-lightblue-0.1.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a663cbce93

Comment 10 Fedora Update System 2018-04-27 07:55:07 UTC
python-lightblue-0.1.3-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5387dbbbe9

Comment 11 Fedora Update System 2018-05-12 18:19:13 UTC
python-lightblue-0.1.3-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-05-12 20:03:01 UTC
python-lightblue-0.1.3-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-05-12 20:23:03 UTC
python-lightblue-0.1.3-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.